Get your profile
curl --request GET \
--url https://api.cal.id/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cal.id/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cal.id/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"email": "jsmith@example.com",
"name": "<string>",
"username": "<string>",
"role": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"emailVerified": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Users
Get your profile
Get current user profile
GET
/
users
/
me
Get your profile
Authorizations
Use the Authorization header with Bearer scheme.
Examples:
- API Key: Authorization: Bearer calid_xxxxx
Related topics
Update your profileHow to Get Your Cal ID API KeyManaging Your Cal ID Profile SettingsManaging Your Contacts in Cal IDHow to Find and Share Your Cal ID URLWas this page helpful?
⌘I